## visad.util
Class WidgetLayout

    java.lang.Object
      visad.util.WidgetLayout

All Implemented Interfaces:
  LayoutManager

public class WidgetLayout
extends Object
implements LayoutManager

A simple layout manager for use in the visad ColorWidget. Stacks the first two components vertically, and stretches them to fit the panel.

Since:
  Visad Utility Library, 0.5

Constructor Summary
`WidgetLayout(ColorWidget colorWidget)` Make a new WidgetLayout for the specified ColorWidget

Method Summary
`void` `addLayoutComponent(String name, Component component)` Not used, no effect
`void` `layoutContainer(Container parent)` Lay out the container
`Dimension` `maximumLayoutSize(Container parent)` Return the maximum size for this layout
`Dimension` `minimumLayoutSize(Container parent)` Return the minimum size for this layout
`Dimension` `preferredLayoutSize(Container parent)` Return the preferred size for this layout
`void` `removeLayoutComponent(Component component)` Not used, no effect

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WidgetLayout

    public WidgetLayout(ColorWidget colorWidget)

  Make a new WidgetLayout for the specified ColorWidget

Method Detail

### addLayoutComponent

    public void addLayoutComponent(String name,
                                   Component component)

  Not used, no effect

  Specified by:
    `addLayoutComponent` in interface `LayoutManager`

### removeLayoutComponent

    public void removeLayoutComponent(Component component)

  Not used, no effect

  Specified by:
    `removeLayoutComponent` in interface `LayoutManager`

### layoutContainer

    public void layoutContainer(Container parent)

  Lay out the container

  Specified by:
    `layoutContainer` in interface `LayoutManager`

### minimumLayoutSize

    public Dimension minimumLayoutSize(Container parent)

  Return the minimum size for this layout

  Specified by:
    `minimumLayoutSize` in interface `LayoutManager`

### preferredLayoutSize

    public Dimension preferredLayoutSize(Container parent)

  Return the preferred size for this layout

  Specified by:
    `preferredLayoutSize` in interface `LayoutManager`

### maximumLayoutSize

    public Dimension maximumLayoutSize(Container parent)

  Return the maximum size for this layout